curl --request GET \
--url https://api.sandbox.isometric.com/mrv/v0/ghg_statements/{id} \
--header 'Authorization: Bearer <token>' \
--header 'x-client-secret: <x-client-secret>'import requests
url = "https://api.sandbox.isometric.com/mrv/v0/ghg_statements/{id}"
headers = {
"x-client-secret": "<x-client-secret>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'x-client-secret': '<x-client-secret>', Authorization: 'Bearer <token>'}
};
fetch('https://api.sandbox.isometric.com/mrv/v0/ghg_statements/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.sandbox.isometric.com/mrv/v0/ghg_statements/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"x-client-secret: <x-client-secret>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.sandbox.isometric.com/mrv/v0/ghg_statements/{id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("x-client-secret", "<x-client-secret>")
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.sandbox.isometric.com/mrv/v0/ghg_statements/{id}")
.header("x-client-secret", "<x-client-secret>")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.sandbox.isometric.com/mrv/v0/ghg_statements/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["x-client-secret"] = '<x-client-secret>'
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"credit_allocation": {
"buffer_pool_contribution_kg": 123,
"supplier_allocation_kg": 123
},
"credits_issued_at": "2023-11-07T05:31:56Z",
"ghg_entry_ids": [
"rmv_1EEM6NJXX1S0EXKD"
],
"ghg_statement_report_url": "<string>",
"id": "ggs_1GDQJ99Z51S0DYW9",
"pending_total_co2e_reduced_kg": 123,
"pending_total_co2e_removed_kg": 123,
"project_id": "prj_1CTWZQGKE1S0VAXA",
"removal_ids": [
"rmv_1EEM6NJXX1S0EXKD"
],
"reporting_period_end_at": "2023-12-25",
"reporting_period_start_at": "2023-12-25",
"status": "DRAFT",
"submitted_at": "2023-11-07T05:31:56Z",
"verifier": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"ctx": {},
"input": "<unknown>"
}
]
}Get Ghg Statement
Get a single GHG statement
curl --request GET \
--url https://api.sandbox.isometric.com/mrv/v0/ghg_statements/{id} \
--header 'Authorization: Bearer <token>' \
--header 'x-client-secret: <x-client-secret>'import requests
url = "https://api.sandbox.isometric.com/mrv/v0/ghg_statements/{id}"
headers = {
"x-client-secret": "<x-client-secret>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'x-client-secret': '<x-client-secret>', Authorization: 'Bearer <token>'}
};
fetch('https://api.sandbox.isometric.com/mrv/v0/ghg_statements/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.sandbox.isometric.com/mrv/v0/ghg_statements/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"x-client-secret: <x-client-secret>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.sandbox.isometric.com/mrv/v0/ghg_statements/{id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("x-client-secret", "<x-client-secret>")
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.sandbox.isometric.com/mrv/v0/ghg_statements/{id}")
.header("x-client-secret", "<x-client-secret>")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.sandbox.isometric.com/mrv/v0/ghg_statements/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["x-client-secret"] = '<x-client-secret>'
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"credit_allocation": {
"buffer_pool_contribution_kg": 123,
"supplier_allocation_kg": 123
},
"credits_issued_at": "2023-11-07T05:31:56Z",
"ghg_entry_ids": [
"rmv_1EEM6NJXX1S0EXKD"
],
"ghg_statement_report_url": "<string>",
"id": "ggs_1GDQJ99Z51S0DYW9",
"pending_total_co2e_reduced_kg": 123,
"pending_total_co2e_removed_kg": 123,
"project_id": "prj_1CTWZQGKE1S0VAXA",
"removal_ids": [
"rmv_1EEM6NJXX1S0EXKD"
],
"reporting_period_end_at": "2023-12-25",
"reporting_period_start_at": "2023-12-25",
"status": "DRAFT",
"submitted_at": "2023-11-07T05:31:56Z",
"verifier": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"ctx": {},
"input": "<unknown>"
}
]
}Authorizations
A JWT Bearer token header for authentication and authorization, in the format Authorization: Bearer <token>
Headers
A secret token identifying the client connecting to the API
"Syou3EZiO5vuMEgNyBeA8cjEMYOnQDwP"
Path Parameters
20 - 37"ggs_1GDQJ99Z51S0DYW9"
"ggs_1FWVEQRWSSBXK3NB"
Response
Successful Response
The split of issuable credits between the supplier and buffer pool. None if any entry's risk_of_reversal_percentage is not set.
Show child attributes
Show child attributes
20 - 371 - 208320 - 37"ggs_1GDQJ99Z51S0DYW9"
"ggs_1FWVEQRWSSBXK3NB"
If the GHG statement has pending changes, this is the net CO₂e reduced by the reduction entries in the GHG statement, including any changes that are pending. If the GHG statement has no pending changes, this is None.
If the GHG statement has pending changes, this is the net CO₂e removed by the removal entries in the GHG statement, including any changes that are pending. If the GHG statement has no pending changes, this is None.
20 - 37"prj_1CTWZQGKE1S0VAXA"
"prj_1E0QTWB22SBX34D1"
20 - 37End date of the reporting period (inclusive)
Start date of the reporting period (inclusive)
DRAFT, AWAITING_VERIFICATION, VERIFIED, CREDITS_ISSUED, FAILED_VERIFICATION Name of the verifier of the GHG statement
Was this page helpful?